# FoundationClasses
TKernel
TColStd

# TColStd_ListIteratorOfSetListOfSetOfTransient Class Reference

`#include <TColStd_ListIteratorOfSetListOfSetOfTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_ListIteratorOfSetListOfSetOfTransient ()
Standard_EXPORT | TColStd_ListIteratorOfSetListOfSetOfTransient (const TColStd_SetListOfSetOfTransient &L)
Standard_EXPORT void | Initialize (const TColStd_SetListOfSetOfTransient &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_Standard_Transient & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_ListIteratorOfSetListOfSetOfTransient::TColStd_ListIteratorOfSetListOfSetOfTransient | ( |  | ) |

Standard_EXPORT TColStd_ListIteratorOfSetListOfSetOfTransient::TColStd_ListIteratorOfSetListOfSetOfTransient | ( | const TColStd_SetListOfSetOfTransient & | L | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_ListIteratorOfSetListOfSetOfTransient::Initialize | ( | const TColStd_SetListOfSetOfTransient & | L | ) |

Standard_Boolean TColStd_ListIteratorOfSetListOfSetOfTransient::More | ( |  | ) | const

Standard_EXPORT void TColStd_ListIteratorOfSetListOfSetOfTransient::Next | ( |  | ) |

void TColStd_ListIteratorOfSetListOfSetOfTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_ListIteratorOfSetListOfSetOfTransient::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_ListIteratorOfSetListOfSetOfTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Standard_Transient& TColStd_ListIteratorOfSetListOfSetOfTransient::Value | ( |  | ) | const

## Field Documentation

Standard_Address TColStd_ListIteratorOfSetListOfSetOfTransient::current `[private]`

Standard_Address TColStd_ListIteratorOfSetListOfSetOfTransient::previous `[private]`

The documentation for this class was generated from the following file:

- TColStd_ListIteratorOfSetListOfSetOfTransient.hxx